## pgbouncer 1.17.0~20220624.1245-3~1.git719b149.pgdg18.04+1

=== debian/changelog ===
pgbouncer (1.17.0~20220624.1245-3~1.git719b149.pgdg18.04+1) bionic-pgdg; urgency=medium

  * Rebuild for bionic-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 11.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 05 Apr 2022 16:15:28 +0200

pgbouncer (1.17.0-3) unstable; urgency=medium

  * pgbouncer.service: Use /bin/kill to please systemd on bionic.

 -- Christoph Berg <myon@debian.org>  Tue, 05 Apr 2022 16:15:28 +0200

pgbouncer (1.17.0-2) unstable; urgency=medium

  * pgbouncer.service: Add ExecReload. Thanks Sean Davis for spotting!

 -- Christoph Berg <myon@debian.org>  Tue, 05 Apr 2022 10:24:53 +0200

pgbouncer (1.17.0-1) unstable; urgency=medium

  * New upstream version.
    + Supports OpenSSL 3. (Closes: #1006526)
  * Add pgbouncer.service and enable systemd notify integration.
  * Remove obsolete README.Debian file. (Closes: #985845)

 -- Christoph Berg <myon@debian.org>  Mon, 04 Apr 2022 12:39:55 +0200

=== debian/control ===
Source: pgbouncer
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
 Peter Eisentraut <petere@debian.org>,
 Marco Nenciarini <mnencia@debian.org>,
Section: database
Priority: optional
Standards-Version: 4.5.0
Rules-Requires-Root: no
Build-Depends:
 ca-certificates,
 debhelper (>= 11),
 libevent-dev (>= 1.3b),
 libpam0g-dev | libpam-dev,
 libssl-dev,
 libc-ares-dev (>> 1.12),
 libpq-dev,
 libsystemd-dev,
 pkg-config,
 pandoc,
 postgresql,
 python3,
Homepage: https://www.pgbouncer.org/
Vcs-Git: https://salsa.debian.org/postgresql/pgbouncer.git
Vcs-Browser: https://salsa.debian.org/postgresql/pgbouncer

Package: pgbouncer
Architecture: any
Depends:
 lsb-base (>= 3.1),
 postgresql-common (>= 26),
 ${misc:Depends},
 ${shlibs:Depends},
Suggests: python3, python3-psycopg2
Enhances: postgresql (>= 7.4)
Description: lightweight connection pooler for PostgreSQL
 PgBouncer is a lightweight connection pooler for PostgreSQL providing the
 following features:
 .
  * Several different methods of pooling connections: session pooling,
    transaction pooling, statement pooling.
  * Low memory requirements.
  * It is not tied to one backend server, the destination databases
    can reside on different hosts.
  * Supports online reconfiguration for most of the settings.
  * Supports online restart/upgrade.

## pgbouncer 1.17.0~20220624.1245-3~1.git719b149.pgdg20.04+1

=== debian/changelog ===
pgbouncer (1.17.0~20220624.1245-3~1.git719b149.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 05 Apr 2022 16:15:28 +0200

## pgbouncer 1.17.0~20220624.1245-3~1.git719b149.pgdg22.04+1

=== debian/changelog ===
pgbouncer (1.17.0~20220624.1245-3~1.git719b149.pgdg22.04+1) jammy-pgdg; urgency=medium

  * Rebuild for jammy-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 05 Apr 2022 16:15:28 +0200

## pgbouncer 1.17.0~20220624.1245-3~1.git719b149.pgdg90+1

=== debian/changelog ===
pgbouncer (1.17.0~20220624.1245-3~1.git719b149.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 10.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 05 Apr 2022 16:15:28 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Rules-Requires-Root: no
 Build-Depends:
  ca-certificates,
- debhelper (>= 11),
+ debhelper (>= 10),
  libevent-dev (>= 1.3b),
  libpam0g-dev | libpam-dev,
  libssl-dev,

## pgbouncer 1.17.0~20220624.1245-3~1.git719b149.pgdg100+1

=== debian/changelog ===
pgbouncer (1.17.0~20220624.1245-3~1.git719b149.pgdg100+1) buster-pgdg; urgency=medium

  * Rebuild for buster-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 05 Apr 2022 16:15:28 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Rules-Requires-Root: no
 Build-Depends:
  ca-certificates,
- debhelper (>= 10),
+ debhelper (>= 12),
  libevent-dev (>= 1.3b),
  libpam0g-dev | libpam-dev,
  libssl-dev,

=== debian/rules ===
#!/usr/bin/make -f

# verbose build output (antimake.mk)
export V=1

PG_CONFIG=pg_config
PGBINDIR=$(shell $(PG_CONFIG) --bindir)

%:
	dh $@

override_dh_auto_clean:
	[ ! -f config.mak ] || $(MAKE) distclean

override_dh_autoreconf:
	dh_autoreconf ./autogen.sh

override_dh_auto_configure:
	dh_auto_configure -- \
		--bindir=/usr/sbin \
		--with-cares=yes \
		--with-pam \
		--with-systemd

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKE) -C test check PATH=$(PGBINDIR):$(PATH)
endif

override_dh_auto_install:
	dh_auto_install --destdir=debian/pgbouncer
	rm -f $(addprefix $(CURDIR)/debian/pgbouncer/usr/share/doc/pgbouncer/,pgbouncer.ini userlist.txt)
	mkdir -p $(CURDIR)/debian/pgbouncer/etc/pgbouncer
	touch $(CURDIR)/debian/pgbouncer/etc/pgbouncer/userlist.txt

override_dh_installinit:
	dh_installinit -R

## pgbouncer 1.17.0~20220624.1245-3~1.git719b149.pgdg110+1

=== debian/changelog ===
pgbouncer (1.17.0~20220624.1245-3~1.git719b149.pgdg110+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 05 Apr 2022 16:15:28 +0200

## pgbouncer 1.17.0~20220624.1245-3~1.git719b149.pgdg120+1

=== debian/changelog ===
pgbouncer (1.17.0~20220624.1245-3~1.git719b149.pgdg120+1) bookworm-pgdg; urgency=medium

  * Rebuild for bookworm-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 05 Apr 2022 16:15:28 +0200

## pgbouncer 1.17.0~20220624.1245-3~1.git719b149.pgdg+1

=== debian/changelog ===
pgbouncer (1.17.0~20220624.1245-3~1.git719b149.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 05 Apr 2022 16:15:28 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Rules-Requires-Root: no
 Build-Depends:
  ca-certificates,
- debhelper (>= 12),
+ debhelper-compat (= 13),
  libevent-dev (>= 1.3b),
  libpam0g-dev | libpam-dev,
  libssl-dev,

## pgbouncer 1.17.0

=== debian/changelog ===
pgbouncer (1.17.0-3.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 10.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 05 Apr 2022 16:15:28 +0200

## pgbouncer 1.18.0

=== Makefile ===

include config.mak

bin_PROGRAMS = pgbouncer

pgbouncer_SOURCES = \
	src/admin.c \
	src/client.c \
	src/dnslookup.c \
	src/hba.c \
	src/janitor.c \
	src/loader.c \
	src/main.c \
	src/objects.c \
	src/pam.c \
	src/pktbuf.c \
	src/pooler.c \
	src/proto.c \
	src/sbuf.c \
	src/scram.c \
	src/server.c \
	src/stats.c \
	src/system.c \
	src/takeover.c \
	src/util.c \
	src/varcache.c \
	src/common/base64.c \
	src/common/saslprep.c \
	src/common/scram-common.c \
	src/common/unicode_norm.c \
	src/common/wchar.c \
	include/admin.h \
	include/bouncer.h \
	include/client.h \
	include/dnslookup.h \
	include/hba.h \
	include/iobuf.h \
	include/janitor.h \
	include/loader.h \
	include/objects.h \
	include/pam.h \
	include/pktbuf.h \
	include/pooler.h \
	include/proto.h \
	include/sbuf.h \
	include/scram.h \
	include/server.h \
	include/stats.h \
	include/system.h \
	include/takeover.h \
	include/util.h \
	include/varcache.h \
	include/common/base64.h \
	include/common/pg_wchar.h \
	include/common/postgres_compat.h \
	include/common/saslprep.h \
	include/common/scram-common.h \
	include/common/unicode_combining_table.h \
	include/common/unicode_norm.h \
	include/common/unicode_norm_table.h

pgbouncer_CPPFLAGS = -Iinclude $(CARES_CFLAGS) $(LIBEVENT_CFLAGS) $(TLS_CPPFLAGS)

# include libusual sources directly
AM_FEATURES = libusual
pgbouncer_EMBED_LIBUSUAL = 1

# docs to install as-is
dist_doc_DATA = README.md NEWS.md \
	etc/pgbouncer-minimal.ini \
	etc/pgbouncer.ini \
	etc/pgbouncer.service \
	etc/pgbouncer.socket \
	etc/userlist.txt

DISTCLEANFILES = config.mak config.status lib/usual/config.h config.log

DIST_SUBDIRS = doc test
dist_man_MANS = doc/pgbouncer.1 doc/pgbouncer.5

# files in tgz
EXTRA_DIST = AUTHORS COPYRIGHT Makefile config.mak.in config.sub config.guess \
	     install-sh autogen.sh configure configure.ac \
	     etc/mkauth.py etc/optscan.sh etc/example.debian.init.sh \
	     win32/Makefile \
	     $(LIBUSUAL_DIST)

# libusual files (FIXME: list should be provided by libusual...)
LIBUSUAL_DIST = $(filter-out %/config.h, $(sort $(wildcard \
		lib/usual/*.[chg] \
		lib/usual/*/*.[ch] \
		lib/m4/*.m4 \
		lib/usual/config.h.in \
		lib/mk/*.mk \
		lib/mk/antimake.mk lib/mk/antimake.txt \
		lib/mk/install-sh lib/mk/std-autogen.sh \
		lib/README lib/COPYRIGHT \
		lib/find_modules.sh )))

pgbouncer_LDFLAGS := $(TLS_LDFLAGS)
pgbouncer_LDADD := $(CARES_LIBS) $(LIBEVENT_LIBS) $(TLS_LIBS) $(LIBS)
LIBS :=

#
# win32
#

EXTRA_pgbouncer_SOURCES = win32/win32support.c win32/win32support.h win32/win32ver.rc
EXTRA_PROGRAMS = pgbevent
ifeq ($(PORTNAME),win32)
pgbouncer_CPPFLAGS += -Iwin32
pgbouncer_SOURCES += $(EXTRA_pgbouncer_SOURCES)
bin_PROGRAMS += pgbevent
endif

pgbevent_SOURCES = win32/pgbevent.c win32/eventmsg.rc \
		   win32/eventmsg.mc win32/MSG00001.bin
pgbevent_EXT = .dll
pgbevent_LINK = $(CC) -shared -Wl,--export-all-symbols -Wl,--add-stdcall-alias -o $@ $^

# .rc->.o
AM_LANGUAGES = RC
AM_LANG_RC_SRCEXTS = .rc
AM_LANG_RC_COMPILE = $(WINDRES) $< -o $@ --include-dir=$(srcdir)/win32 --include-dir=lib
AM_LANG_RC_LINK = false

#
# now load antimake
#

USUAL_DIR = lib

abs_top_srcdir ?= $(CURDIR)
include $(abs_top_srcdir)/lib/mk/antimake.mk

config.mak:
	@echo "Please run ./configure"
	@exit 1

check: all
	etc/optscan.sh
	$(MAKE) -C test check

w32zip = $(PACKAGE_TARNAME)-$(PACKAGE_VERSION)-windows-$(host_cpu).zip
zip: $(w32zip)

$(w32zip): pgbouncer.exe pgbevent.dll etc/pgbouncer.ini etc/userlist.txt README.md COPYRIGHT
	rm -rf $(basename $@)
	mkdir $(basename $@)
	cp $^ $(basename $@)
	$(STRIP) $(addprefix $(basename $@)/,$(filter %.exe %.dll,$(^F)))
	zip -MM $@ $(addprefix $(basename $@)/,$(filter %.exe %.dll,$(^F)))
# NB: zip -l for text files for end-of-line conversion
	zip -MM -l $@ $(addprefix $(basename $@)/,$(filter-out %.exe %.dll,$(^F)))

.PHONY: tags
tags:
	ctags src/*.c include/*.h lib/usual/*.[ch] lib/usual/*/*.[ch]

htmls:
	for f in *.md doc/*.md; do \
		mkdir -p html && $(PANDOC) $$f -o html/`basename $$f`.html; \
	done

doc/pgbouncer.1 doc/pgbouncer.5:
	$(MAKE) -C doc

=== test/Makefile ===

PG_CPPFLAGS = -I$(shell pg_config --includedir)
PG_LIBS = -lpq
PG_LDFLAGS = -L$(shell pg_config --libdir)

USUAL_DIR = ../lib

SUBLOC = test
DIST_SUBDIRS = ssl

EXTRA_DIST = conntest.sh ctest6000.ini ctest7000.ini run-conntest.sh \
	     hba_test.eval hba_test.rules Makefile \
	     test.ini test.sh stress.py userlist.txt

noinst_PROGRAMS = hba_test
hba_test_CPPFLAGS = -I../include $(LIBEVENT_CFLAGS)
hba_test_LDADD = $(LIBEVENT_LIBS)
hba_test_CFLAGS = -O0
hba_test_SOURCES = hba_test.c ../src/hba.c ../src/util.c
hba_test_EMBED_LIBUSUAL = 1

EXTRA_PROGRAMS = asynctest
asynctest_CPPFLAGS = -I../include $(PG_CPPFLAGS) $(LIBEVENT_CFLAGS)
asynctest_LDFLAGS = $(PG_LDFLAGS)
asynctest_LDADD = $(PG_LIBS) $(LIBEVENT_LIBS)
asynctest_SOURCES = asynctest.c
asynctest_EMBED_LIBUSUAL = 1

AM_FEATURES = libusual


include ../config.mak
include ../lib/mk/antimake.mk

check: all
	./test.sh
	./hba_test
ifeq ($(tls_support),yes)
	$(MAKE) -C ssl check
endif

=== debian/changelog ===
pgbouncer (1.18.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.
  * Drop 04ff38b25e patch, included upstream.

 -- Michael Banck <michael.banck@credativ.de>  Fri, 03 Feb 2023 16:14:12 +0100

pgbouncer (1.17.0-4) unstable; urgency=medium

  * Install pgbouncer.service and pgbouncer.socket files from upstream.
    (Closes: #1009025)
  * Cherry-pick 04ff38b25e from upstream to fix tests.
    (Closes: #1021859, but needs 4a6de748d3 in postgresql-15 as well)

 -- Christoph Berg <myon@debian.org>  Mon, 24 Oct 2022 11:48:31 +0200

=== debian/control ===
--- 
+++ 
@@ -32,6 +32,7 @@
  postgresql-common (>= 26),
  ${misc:Depends},
  ${shlibs:Depends},
+Pre-Depends: ${misc:Pre-Depends}
 Suggests: python3, python3-psycopg2
 Enhances: postgresql (>= 7.4)
 Description: lightweight connection pooler for PostgreSQL

## pgbouncer 1.22.0

=== requirements.txt ===
pytest
pytest-asyncio
pytest-timeout
pytest-xdist
psycopg; python_version < "3.7"
https://github.com/psycopg/psycopg/archive/master.zip#egg=psycopg&subdirectory=psycopg; python_version >= "3.7"
filelock
contextlib2; python_version < "3.7"

=== test/Makefile ===
--- 
+++ 
@@ -10,11 +10,17 @@
 
 EXTRA_DIST = conntest.sh ctest6000.ini ctest7000.ini run-conntest.sh \
 	     hba_test.eval hba_test.rules Makefile \
-	     test.ini test.sh stress.py userlist.txt
+	     test.ini stress.py userlist.txt \
+	     __init__.py conftest.py utils.py \
+	     test_admin.py test_auth.py test_cancel.py test_limits.py \
+	     test_misc.py test_no_database.py test_no_user.py test_operations.py \
+	     test_ssl.py test_timeouts.py
 
+
+UTHASH = ../uthash
 noinst_PROGRAMS = hba_test
-hba_test_CPPFLAGS = -I../include $(LIBEVENT_CFLAGS)
-hba_test_LDADD = $(LIBEVENT_LIBS)
+hba_test_CPPFLAGS = -I../include $(LIBEVENT_CFLAGS) -I$(UTHASH)/src
+hba_test_LDADD = $(LIBEVENT_LIBS) $(TLS_LIBS)
 hba_test_CFLAGS = -O0
 hba_test_SOURCES = hba_test.c ../src/hba.c ../src/util.c
 hba_test_EMBED_LIBUSUAL = 1
@@ -33,8 +39,4 @@
 include ../lib/mk/antimake.mk
 
 check: all
-	./test.sh
 	./hba_test
-ifeq ($(tls_support),yes)
-	$(MAKE) -C ssl check
-endif

=== debian/changelog ===
pgbouncer (1.22.0-1build4) noble; urgency=medium

  * No-change rebuild for c-ares t64.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 16 Apr 2024 11:55:39 +0200

pgbouncer (1.22.0-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:14:09 +1100

pgbouncer (1.22.0-1build2) noble; urgency=medium

  * No-change rebuild against libevent-2.1-7t64

 -- Simon Chopin <schopin@ubuntu.com>  Fri, 29 Mar 2024 17:28:56 +0100

pgbouncer (1.22.0-1build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 21:01:48 +0000

pgbouncer (1.22.0-1) unstable; urgency=medium

  * New upstream version 1.22.0.
  * Remove lsb-base dependency.

 -- Christoph Berg <myon@debian.org>  Fri, 09 Feb 2024 12:18:10 +0100

pgbouncer (1.21.0-1) unstable; urgency=medium

  * New upstream version 1.21.0.

 -- Christoph Berg <myon@debian.org>  Tue, 17 Oct 2023 15:33:06 +0200

pgbouncer (1.20.1-1) unstable; urgency=medium

  * New Upstream Release
    - Fixes:
      * Fix regression where putting options inside ignore_startup_parameters
        would not ignore unknown parameters inside the options startup
        parameter anymore.
      * Fix confusing typo in the docs.

 -- Bradford D. Boyle <bradford.d.boyle@gmail.com>  Wed, 27 Sep 2023 08:22:41 +0200

pgbouncer (1.20.0-1) unstable; urgency=medium

  * New upstream version.
    + Deprecates online restart, give up on fixing the service file for it.
      (Closes: #813487)

 -- Christoph Berg <myon@debian.org>  Tue, 25 Jul 2023 16:53:22 +0200

pgbouncer (1.19.1-1) experimental; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Sun, 04 Jun 2023 21:14:53 +0200

pgbouncer (1.19.0-1) experimental; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Mon, 22 May 2023 19:38:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: pgbouncer
-Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders:
  Christoph Berg <myon@debian.org>,
  Peter Eisentraut <petere@debian.org>,
@@ -28,7 +29,6 @@
 Package: pgbouncer
 Architecture: any
 Depends:
- lsb-base (>= 3.1),
  postgresql-common (>= 26),
  ${misc:Depends},
  ${shlibs:Depends},

=== debian/rules ===
--- 
+++ 
@@ -33,5 +33,6 @@
 	mkdir -p $(CURDIR)/debian/pgbouncer/etc/pgbouncer
 	touch $(CURDIR)/debian/pgbouncer/etc/pgbouncer/userlist.txt
 
-override_dh_installinit:
-	dh_installinit -R
+override_dh_installsystemd:
+	# don't auto-enable/start pgbouncer.socket
+	dh_installsystemd pgbouncer.service

## pgbouncer 1.23.0

=== debian/changelog ===
pgbouncer (1.23.0-1) unstable; urgency=medium

  * Team upload.
  * New Upstream Release

 -- Bradford D. Boyle <bradford.d.boyle@gmail.com>  Thu, 04 Jul 2024 12:45:59 +0200

pgbouncer (1.22.1-1) unstable; urgency=medium

  * New upstream version 1.22.1.
  * B-D on pkgconf.

 -- Christoph Berg <myon@debian.org>  Wed, 17 Apr 2024 23:23:56 +0200

## pgbouncer 1.23.1

=== Makefile ===
--- 
+++ 
@@ -10,12 +10,14 @@
 	src/hba.c \
 	src/janitor.c \
 	src/loader.c \
+	src/messages.c \
 	src/main.c \
 	src/objects.c \
 	src/pam.c \
 	src/pktbuf.c \
 	src/pooler.c \
 	src/proto.c \
+	src/prepare.c \
 	src/sbuf.c \
 	src/scram.c \
 	src/server.c \
@@ -25,6 +27,8 @@
 	src/util.c \
 	src/varcache.c \
 	src/common/base64.c \
+	src/common/bool.c \
+	src/common/pgstrcasecmp.c \
 	src/common/saslprep.c \
 	src/common/scram-common.c \
 	src/common/unicode_norm.c \
@@ -37,11 +41,13 @@
 	include/iobuf.h \
 	include/janitor.h \
 	include/loader.h \
+	include/messages.h \
 	include/objects.h \
 	include/pam.h \
 	include/pktbuf.h \
 	include/pooler.h \
 	include/proto.h \
+	include/prepare.h \
 	include/sbuf.h \
 	include/scram.h \
 	include/server.h \
@@ -51,15 +57,19 @@
 	include/util.h \
 	include/varcache.h \
 	include/common/base64.h \
+	include/common/builtins.h \
 	include/common/pg_wchar.h \
 	include/common/postgres_compat.h \
 	include/common/saslprep.h \
 	include/common/scram-common.h \
 	include/common/unicode_combining_table.h \
 	include/common/unicode_norm.h \
-	include/common/unicode_norm_table.h
-
+	include/common/unicode_norm_table.h \
+	include/common/uthash_lowercase.h
+
+UTHASH = uthash
 pgbouncer_CPPFLAGS = -Iinclude $(CARES_CFLAGS) $(LIBEVENT_CFLAGS) $(TLS_CPPFLAGS)
+pgbouncer_CPPFLAGS += -I$(UTHASH)/src
 
 # include libusual sources directly
 AM_FEATURES = libusual
@@ -80,10 +90,12 @@
 
 # files in tgz
 EXTRA_DIST = AUTHORS COPYRIGHT Makefile config.mak.in config.sub config.guess \
+	     pyproject.toml requirements.txt \
 	     install-sh autogen.sh configure configure.ac \
 	     etc/mkauth.py etc/optscan.sh etc/example.debian.init.sh \
 	     win32/Makefile \
-	     $(LIBUSUAL_DIST)
+	     $(LIBUSUAL_DIST) \
+	     $(UTHASH_DIST) \
 
 # libusual files (FIXME: list should be provided by libusual...)
 LIBUSUAL_DIST = $(filter-out %/config.h, $(sort $(wildcard \
@@ -97,6 +109,9 @@
 		lib/README lib/COPYRIGHT \
 		lib/find_modules.sh )))
 
+UTHASH_DIST = $(UTHASH)/src/uthash.h \
+              $(UTHASH)/LICENSE
+
 pgbouncer_LDFLAGS := $(TLS_LDFLAGS)
 pgbouncer_LDADD := $(CARES_LIBS) $(LIBEVENT_LIBS) $(TLS_LIBS) $(LIBS)
 LIBS :=
@@ -137,8 +152,17 @@
 	@echo "Please run ./configure"
 	@exit 1
 
+PYTEST = $(shell command -v pytest || echo '$(PYTHON) -m pytest')
+
+CONCURRENCY = auto
+
 check: all
 	etc/optscan.sh
+	if [ $(CONCURRENCY) = 1 ]; then \
+		PYTHONIOENCODING=utf8 $(PYTEST); \
+	else \
+		PYTHONIOENCODING=utf8 $(PYTEST) -n $(CONCURRENCY); \
+	fi
 	$(MAKE) -C test check
 
 w32zip = $(PACKAGE_TARNAME)-$(PACKAGE_VERSION)-windows-$(host_cpu).zip
@@ -163,4 +187,37 @@
 	done
 
 doc/pgbouncer.1 doc/pgbouncer.5:
-	$(MAKE) -C doc
+	$(MAKE) -C doc $(@F)
+
+lint:
+	flake8
+
+format-check: uncrustify
+	black --check .
+	isort --check .
+	./uncrustify -c uncrustify.cfg --check include/*.h src/*.c -L WARN
+
+format: uncrustify
+	$(MAKE) format-c
+	$(MAKE) format-python
+
+format-python: uncrustify
+	black .
+	isort .
+
+format-c: uncrustify
+	./uncrustify -c uncrustify.cfg --replace --no-backup include/*.h src/*.c -L WARN
+
+UNCRUSTIFY_VERSION=0.77.1
+
+uncrustify:
+	temp=$$(mktemp -d) \
+		&& cd $$temp \
+		&& curl -L https://github.com/uncrustify/uncrustify/archive/refs/tags/uncrustify-$(UNCRUSTIFY_VERSION).tar.gz --output uncrustify.tar.gz \
+		&& tar xzf uncrustify.tar.gz \
+		&& cd uncrustify-uncrustify-$(UNCRUSTIFY_VERSION) \
+		&& mkdir -p build \
+		&& cd build \
+		&& cmake .. \
+		&& $(MAKE) \
+		&& cp uncrustify $(CURDIR)/uncrustify

=== debian/changelog ===
pgbouncer (1.23.1-1.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Sat, 03 Aug 2024 10:27:34 +0300

pgbouncer (1.23.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.23.1.
    - Fixes:
      * Fix a possible segmentation fault after PgBouncer reloads its
        configuration.
      * Fix all known put_in_order crashes.
      * Add missing files to release tarball that are required for testing.

 -- Bradford D. Boyle <bradford.d.boyle@gmail.com>  Sat, 03 Aug 2024 10:27:34 +0300

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: pgbouncer
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
+Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders:
  Christoph Berg <myon@debian.org>,
  Peter Eisentraut <petere@debian.org>,
@@ -11,14 +10,14 @@
 Rules-Requires-Root: no
 Build-Depends:
  ca-certificates,
- debhelper-compat (= 13),
+ debhelper (>= 12),
  libevent-dev (>= 1.3b),
  libpam0g-dev | libpam-dev,
  libssl-dev,
  libc-ares-dev (>> 1.12),
  libpq-dev,
  libsystemd-dev,
- pkg-config,
+ pkgconf,
  pandoc,
  postgresql,
  python3,

## pgbouncer 1.24.0

=== requirements.txt ===
pytest
pytest-asyncio
pytest-timeout
pytest-xdist
psycopg
filelock
contextlib2; python_version < "3.7"

=== doc/Makefile ===
-include ../config.mak

manpages = pgbouncer.1 pgbouncer.5

dist_man_MANS = $(manpages)

EXTRA_DIST = config.md usage.md Makefile $(manpages) \
	     frag-config-man.md frag-usage-man.md \
	     filter.py

CLEANFILES = pgbouncer_1.md pgbouncer_5.md

# make maintainer-clean removes those
MAINTAINERCLEANFILES = $(manpages)

SUBLOC = doc
abs_top_srcdir ?= $(CURDIR)/..
include $(abs_top_srcdir)/lib/mk/antimake.mk

export PACKAGE_VERSION

pgbouncer.%: pgbouncer_%.md
	$(PANDOC) -s -t man -o $@ $<

pgbouncer_1.md: filter.py frag-usage-man.md usage.md
	$(PYTHON) $^ >$@

pgbouncer_5.md: filter.py frag-config-man.md config.md
	$(PYTHON) $^ >$@

web:
	$(MAKE) -C ../../pgbouncer.github.io

=== test/Makefile ===
--- 
+++ 
@@ -9,12 +9,13 @@
 DIST_SUBDIRS = ssl
 
 EXTRA_DIST = conntest.sh ctest6000.ini ctest7000.ini run-conntest.sh \
-	     hba_test.eval hba_test.rules Makefile \
-	     test.ini stress.py userlist.txt \
+	     hba_test.eval hba_test.rules Makefile pgident.conf\
+	     test.ini stress.py userlist.txt pgbouncer_hba.conf \
 	     __init__.py conftest.py utils.py \
-	     test_admin.py test_auth.py test_cancel.py test_limits.py \
+	     test_admin.py test_auth.py test_cancel.py test_copy.py test_limits.py \
 	     test_misc.py test_no_database.py test_no_user.py test_operations.py \
-	     test_ssl.py test_timeouts.py
+	     test_peering.py test_prepared.py test_ssl.py test_timeouts.py \
+		 test_replication.py
 
 
 UTHASH = ../uthash

=== debian/changelog ===
pgbouncer (1.24.0-3) unstable; urgency=medium

  * Limit to 64-bit architectures.

 -- Christoph Berg <myon@debian.org>  Wed, 12 Mar 2025 17:19:10 +0100

pgbouncer (1.24.0-2) unstable; urgency=medium

  [ Bradford D. Boyle ]
  * Skip tests for Close messages on psycopg < 3.2

  [ Christoph Berg ]
  * Mark test dependencies with <!nocheck>.

 -- Christoph Berg <myon@debian.org>  Wed, 12 Mar 2025 15:40:12 +0100

pgbouncer (1.24.0-1) unstable; urgency=medium

  [Bradford D. Boyle]
  * Team upload.
  * New upstream version 1.24.0.

  [Brian Cosgrove]
  * Ensure that the main test suite does in fact run during debbuild (Closes:
    #1085109)

 -- Bradford D. Boyle <bradford.d.boyle@gmail.com>  Tue, 04 Feb 2025 14:37:23 +0100

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,9 @@
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Build-Depends:
+ architecture-is-64-bit,
  ca-certificates,
- debhelper (>= 12),
+ debhelper-compat (= 13),
  libevent-dev (>= 1.3b),
  libpam0g-dev | libpam-dev,
  libssl-dev,
@@ -21,6 +22,15 @@
  pandoc,
  postgresql,
  python3,
+ python3-pytest <!nocheck>,
+ python3-pytest <!nocheck>,
+ python3-pytest-asyncio <!nocheck>,
+ python3-pytest-timeout <!nocheck>,
+ python3-pytest-xdist <!nocheck>,
+ python3-psycopg2 <!nocheck>,
+ python3-psycopg <!nocheck>,
+ python3-filelock <!nocheck>,
+ tzdata-legacy <!nocheck>,
 Homepage: https://www.pgbouncer.org/
 Vcs-Git: https://salsa.debian.org/postgresql/pgbouncer.git
 Vcs-Browser: https://salsa.debian.org/postgresql/pgbouncer

=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	$(MAKE) -C test check PATH=$(PGBINDIR):$(PATH)
+	$(MAKE) check PATH=$(PGBINDIR):$(PATH)
 endif
 
 override_dh_auto_install:

## pgbouncer 1.24.1

=== test/Makefile ===
--- 
+++ 
@@ -13,9 +13,9 @@
 	     test.ini stress.py userlist.txt pgbouncer_hba.conf \
 	     __init__.py conftest.py utils.py \
 	     test_admin.py test_auth.py test_cancel.py test_copy.py test_limits.py \
-	     test_misc.py test_no_database.py test_no_user.py test_operations.py \
-	     test_peering.py test_prepared.py test_ssl.py test_timeouts.py \
-		 test_replication.py
+	     test_load_balance_hosts.py test_misc.py test_no_database.py \
+	     test_no_user.py test_operations.py test_peering.py test_prepared.py \
+	     test_ssl.py test_timeouts.py test_replication.py
 
 
 UTHASH = ../uthash

=== test/ssl/Makefile ===
EXTRA_DIST = lib.sh newca.sh newsite.sh create_certs.sh test.ini Makefile

SUBLOC = test/ssl

include ../../config.mak
include ../../lib/mk/antimake.mk

check: all
	./test.sh

=== debian/changelog ===
pgbouncer (1.24.1-1) unstable; urgency=medium

  [ Christoph Berg ]
  * B-D on libsystemd-dev on Linux only.

  [ Bradford D. Boyle ]
  * New upstream version 1.24.1.
    - Security
      * Fix CVE-2025-2291: Account for VALID UNTIL in auth_query.
        (Closes: #1103394)
    - Fixes
      * Fix PAM support by reverting pam authentication support in HBA file.
      * Fix bug when decrementing user connection count. This was included in
        the tag of 1.24.0 on GitHub, but the release tarball did not contain
        this fix.
      * Add test_load_balance_hosts.py to the tarball.
      * Fix issues with tests to allow them to be run by Debian packagers.
    - Docs
      * Update auth_query example to set a safe search_path.

 -- Christoph Berg <myon@debian.org>  Thu, 17 Apr 2025 10:21:09 +0200

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  libssl-dev,
  libc-ares-dev (>> 1.12),
  libpq-dev,
- libsystemd-dev,
+ libsystemd-dev [linux-any],
  pkgconf,
  pandoc,
  postgresql,

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,16 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/architecture.mk
 
 # verbose build output (antimake.mk)
 export V=1
 
 PG_CONFIG=pg_config
 PGBINDIR=$(shell $(PG_CONFIG) --bindir)
+
+ifeq ($(DEB_HOST_ARCH_OS),linux)
+	SYSTEMD = --with-systemd
+endif
 
 %:
 	dh $@
@@ -20,7 +26,7 @@
 		--bindir=/usr/sbin \
 		--with-cares=yes \
 		--with-pam \
-		--with-systemd
+		$(SYSTEMD)
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))

## pgbouncer 1.25.0

=== Makefile ===
--- 
+++ 
@@ -9,6 +9,7 @@
 	src/dnslookup.c \
 	src/hba.c \
 	src/janitor.c \
+	src/ldapauth.c \
 	src/loader.c \
 	src/messages.c \
 	src/main.c \
@@ -26,11 +27,15 @@
 	src/takeover.c \
 	src/util.c \
 	src/varcache.c \
+	src/common/sha2.c \
 	src/common/base64.c \
 	src/common/bool.c \
+	src/common/cryptohash.c \
+	src/common/hmac.c \
 	src/common/pgstrcasecmp.c \
 	src/common/saslprep.c \
 	src/common/scram-common.c \
+	src/common/string.c \
 	src/common/unicode_norm.c \
 	src/common/wchar.c \
 	include/admin.h \
@@ -40,6 +45,7 @@
 	include/hba.h \
 	include/iobuf.h \
 	include/janitor.h \
+	include/ldapauth.h \
 	include/loader.h \
 	include/messages.h \
 	include/objects.h \
@@ -56,20 +62,28 @@
 	include/takeover.h \
 	include/util.h \
 	include/varcache.h \
+	include/common/ascii.h \
 	include/common/base64.h \
 	include/common/builtins.h \
+	include/common/cryptohash.h \
+	include/common/hmac.h \
 	include/common/pg_wchar.h \
 	include/common/postgres_compat.h \
+	include/common/protocol.h \
 	include/common/saslprep.h \
 	include/common/scram-common.h \
-	include/common/unicode_combining_table.h \
+	include/common/sha2.h \
+	include/common/sha2_int.h \
+	include/common/simd.h \
+	include/common/string.h \
+	include/common/unicode_east_asian_fw_table.h \
+	include/common/unicode_nonspacing_table.h \
 	include/common/unicode_norm.h \
 	include/common/unicode_norm_table.h \
+	include/common/uthash.h \
 	include/common/uthash_lowercase.h
 
-UTHASH = uthash
 pgbouncer_CPPFLAGS = -Iinclude $(CARES_CFLAGS) $(LIBEVENT_CFLAGS) $(TLS_CPPFLAGS)
-pgbouncer_CPPFLAGS += -I$(UTHASH)/src
 
 # include libusual sources directly
 AM_FEATURES = libusual
@@ -88,30 +102,6 @@
 DIST_SUBDIRS = doc test
 dist_man_MANS = doc/pgbouncer.1 doc/pgbouncer.5
 
-# files in tgz
-EXTRA_DIST = AUTHORS COPYRIGHT Makefile config.mak.in config.sub config.guess \
-	     pyproject.toml requirements.txt \
-	     install-sh autogen.sh configure configure.ac \
-	     etc/mkauth.py etc/optscan.sh etc/example.debian.init.sh \
-	     win32/Makefile \
-	     $(LIBUSUAL_DIST) \
-	     $(UTHASH_DIST) \
-
-# libusual files (FIXME: list should be provided by libusual...)
-LIBUSUAL_DIST = $(filter-out %/config.h, $(sort $(wildcard \
-		lib/usual/*.[chg] \
-		lib/usual/*/*.[ch] \
-		lib/m4/*.m4 \
-		lib/usual/config.h.in \
-		lib/mk/*.mk \
-		lib/mk/antimake.mk lib/mk/antimake.txt \
-		lib/mk/install-sh lib/mk/std-autogen.sh \
-		lib/README lib/COPYRIGHT \
-		lib/find_modules.sh )))
-
-UTHASH_DIST = $(UTHASH)/src/uthash.h \
-              $(UTHASH)/LICENSE
-
 pgbouncer_LDFLAGS := $(TLS_LDFLAGS)
 pgbouncer_LDADD := $(CARES_LIBS) $(LIBEVENT_LIBS) $(TLS_LIBS) $(LIBS)
 LIBS :=
@@ -143,6 +133,9 @@
 # now load antimake
 #
 
+# disable dist target from antimake
+AM_DIST_DEFAULT =
+
 USUAL_DIR = lib
 
 abs_top_srcdir ?= $(CURDIR)
@@ -152,16 +145,37 @@
 	@echo "Please run ./configure"
 	@exit 1
 
+#
+# dist
+# (adapted from PostgreSQL)
+#
+
+distdir = $(PACKAGE_TARNAME)-$(PACKAGE_VERSION)
+PG_GIT_REVISION = HEAD
+GIT = git
+
+EXTRA_DIST = config.guess config.sub configure install-sh lib/usual/config.h.in
+
+dist: $(distdir).tar.gz
+
+$(PACKAGE_TARNAME)-$(PACKAGE_VERSION).tar.gz:
+	$(GIT) -C $(srcdir) -c core.autocrlf=false archive --format tar.gz -9 --prefix $(distdir)/ $(PG_GIT_REVISION) -o $(abs_top_builddir)/$@ $(foreach file,$(EXTRA_DIST),--prefix $(distdir)/$(dir $(file)) --add-file=$(file)) --prefix $(distdir)/
+
+#
+# test
+#
+
 PYTEST = $(shell command -v pytest || echo '$(PYTHON) -m pytest')
 
 CONCURRENCY = auto
+PYTEST_FLAGS = -r s
 
 check: all
 	etc/optscan.sh
 	if [ $(CONCURRENCY) = 1 ]; then \
-		PYTHONIOENCODING=utf8 $(PYTEST); \
+		PYTHONIOENCODING=utf8 $(PYTEST) $(PYTEST_FLAGS); \
 	else \
-		PYTHONIOENCODING=utf8 $(PYTEST) -n $(CONCURRENCY); \
+		PYTHONIOENCODING=utf8 $(PYTEST) -n $(CONCURRENCY) $(PYTEST_FLAGS); \
 	fi
 	$(MAKE) -C test check
 
@@ -192,10 +206,15 @@
 lint:
 	flake8
 
+UNCRUSTIFY_FILES = include/*.h src/*.c test/*.c \
+		lib/test/*.c lib/usual/*.c lib/usual/crypto/*.c lib/usual/hashing/*.c lib/usual/tls/*.c \
+		lib/test/*.h lib/usual/*.h lib/usual/crypto/*.h lib/usual/hashing/*.h lib/usual/tls/*.h
+
 format-check: uncrustify
-	black --check .
-	isort --check .
-	./uncrustify -c uncrustify.cfg --check include/*.h src/*.c -L WARN
+	git diff-tree --check `git hash-object -t tree /dev/null` HEAD
+	black --check --diff .
+	isort --check --diff .
+	./uncrustify -c uncrustify.cfg --check -L WARN $(UNCRUSTIFY_FILES)
 
 format: uncrustify
 	$(MAKE) format-c
@@ -206,7 +225,7 @@
 	isort .
 
 format-c: uncrustify
-	./uncrustify -c uncrustify.cfg --replace --no-backup include/*.h src/*.c -L WARN
+	./uncrustify -c uncrustify.cfg --replace --no-backup -L WARN $(UNCRUSTIFY_FILES)
 
 UNCRUSTIFY_VERSION=0.77.1

=== doc/Makefile ===
--- 
+++ 
@@ -3,10 +3,6 @@
 manpages = pgbouncer.1 pgbouncer.5
 
 dist_man_MANS = $(manpages)
-
-EXTRA_DIST = config.md usage.md Makefile $(manpages) \
-	     frag-config-man.md frag-usage-man.md \
-	     filter.py
 
 CLEANFILES = pgbouncer_1.md pgbouncer_5.md

=== test/Makefile ===

PG_CPPFLAGS = -I$(shell pg_config --includedir)
PG_LIBS = -lpq
PG_LDFLAGS = -L$(shell pg_config --libdir)

USUAL_DIR = ../lib

SUBLOC = test
DIST_SUBDIRS = ssl


noinst_PROGRAMS = hba_test
hba_test_CPPFLAGS = -I../include $(LIBEVENT_CFLAGS)
hba_test_LDADD = $(LIBEVENT_LIBS) $(TLS_LIBS)
hba_test_CFLAGS = -O0
hba_test_SOURCES = hba_test.c ../src/hba.c ../src/util.c
hba_test_EMBED_LIBUSUAL = 1

EXTRA_PROGRAMS = asynctest
asynctest_CPPFLAGS = -I../include $(PG_CPPFLAGS) $(LIBEVENT_CFLAGS)
asynctest_LDFLAGS = $(PG_LDFLAGS)
asynctest_LDADD = $(PG_LIBS) $(LIBEVENT_LIBS)
asynctest_SOURCES = asynctest.c
asynctest_EMBED_LIBUSUAL = 1

AM_FEATURES = libusual


include ../config.mak
include ../lib/mk/antimake.mk

check: all
	./hba_test

=== test/ssl/Makefile ===
SUBLOC = test/ssl

include ../../config.mak
include ../../lib/mk/antimake.mk

check: all
	./test.sh

=== lib/test/attregex/Makefile ===
SUBLOC = test/attregex

AM_FEATURES = libusual

AM_CPPFLAGS = -I$(top_srcdir) -I$(top_builddir)
VPATH = $(top_srcdir)
USUAL_DIR = $(top_srcdir)

EXTRA_PROGRAMS = testregex.usual testregex.libc

testregex_usual_SOURCES = testregex.c
testregex_usual_DEFS = -DUSUAL -DUSE_INTERNAL_REGEX
testregex_usual_EMBED_LIBUSUAL = 1

testregex_libc_SOURCES = testregex.c

EXTRA_DIST = Makefile run.sh \
	data/basic.dat \
	data/categorize.dat \
	data/forcedassoc.dat \
	data/interpretation.dat \
	data/leftassoc.dat \
	data/nullsubexpr.dat \
	data/repetition.dat \
	data/rightassoc.dat

test: $(EXTRA_PROGRAMS)

include ../../build.mk

=== debian/changelog ===
pgbouncer (1.25.0-1) unstable; urgency=medium

  [ Bradford D. Boyle ]
  * New upstream version. (Closes: #1120176)

  [ Christoph Berg ]
  * Cherry-pick: Add missing typedefs for architectures with SIMD support.

 -- Christoph Berg <myon@debian.org>  Wed, 12 Nov 2025 22:39:50 +0100

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,15 @@
  Marco Nenciarini <mnencia@debian.org>,
 Section: database
 Priority: optional
-Standards-Version: 4.5.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Build-Depends:
  architecture-is-64-bit,
  ca-certificates,
  debhelper-compat (= 13),
+ ldap-utils <!nocheck>,
  libevent-dev (>= 1.3b),
+ libldap-dev,
  libpam0g-dev | libpam-dev,
  libssl-dev,
  libc-ares-dev (>> 1.12),
@@ -30,6 +32,8 @@
  python3-psycopg2 <!nocheck>,
  python3-psycopg <!nocheck>,
  python3-filelock <!nocheck>,
+ slapd <!nocheck>,
+ socat <!nocheck>,
  tzdata-legacy <!nocheck>,
 Homepage: https://www.pgbouncer.org/
 Vcs-Git: https://salsa.debian.org/postgresql/pgbouncer.git

=== debian/rules ===
--- 
+++ 
@@ -26,6 +26,7 @@
 		--bindir=/usr/sbin \
 		--with-cares=yes \
 		--with-pam \
+		--with-ldap \
 		$(SYSTEMD)
 
 override_dh_auto_test:

=== debian/watch ===
version=3
#http://pgfoundry.org/frs/?group_id=1000258 .*/[0-9]+/pgbouncer-([0-9.]+).(?:tgz|tar.gz)
https://pgbouncer.github.io/downloads/ .*/pgbouncer-(.*).tar.gz

## pgbouncer 1.25.1

=== debian/changelog ===
pgbouncer (1.25.1-1.pgdg11+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * Changes applied by generate-pgdg-source:
    + Add python3-contextlib2 build-dependency.
    + Remove test dependencies; psycopg is not available.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 03 Dec 2025 19:20:51 +0100

pgbouncer (1.25.1-1) unstable; urgency=medium

  * New upstream version 1.25.1.
  * Run tests in C.UTF-8.

 -- Christoph Berg <myon@debian.org>  Wed, 03 Dec 2025 19:20:51 +0100

pgbouncer (1.25.0-2) unstable; urgency=medium

  * Run tests with psql -X.
  * Mark test/test_misc.py::test_notify_queue as xfail on big-endian archs.

 -- Christoph Berg <myon@debian.org>  Fri, 21 Nov 2025 14:14:22 +0000

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,6 @@
  architecture-is-64-bit,
  ca-certificates,
  debhelper-compat (= 13),
- ldap-utils <!nocheck>,
  libevent-dev (>= 1.3b),
  libldap-dev,
  libpam0g-dev | libpam-dev,
@@ -24,17 +23,7 @@
  pandoc,
  postgresql,
  python3,
- python3-pytest <!nocheck>,
- python3-pytest <!nocheck>,
- python3-pytest-asyncio <!nocheck>,
- python3-pytest-timeout <!nocheck>,
- python3-pytest-xdist <!nocheck>,
- python3-psycopg2 <!nocheck>,
- python3-psycopg <!nocheck>,
- python3-filelock <!nocheck>,
- slapd <!nocheck>,
- socat <!nocheck>,
- tzdata-legacy <!nocheck>,
+ python3-contextlib2,
 Homepage: https://www.pgbouncer.org/
 Vcs-Git: https://salsa.debian.org/postgresql/pgbouncer.git
 Vcs-Browser: https://salsa.debian.org/postgresql/pgbouncer
